Name:		SDL_mixer
Version:	1.2.9
Release: 	1
Summary:	Simple DirectMedia Layer - Sample Mixer Library

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/%{name}/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	SDL-devel >= 1.2.10 
BuildRequires:	libvorbis-devel
BuildRequires:	flac-devel
BuildRequires:	libmikmod-devel
BuildRequires:	smpeg-devel
BuildRequires:	make
Requires:	SDL >= 1.2.10
# Require libvorbis since we build it with dynamically load support.
Requires:	libvorbis
Requires:	flac
Requires:	libmikmod
Requires:	smpeg

%description
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD, Timidity MIDI and Ogg Vorbis libraries.

The library is available as 32-bit and 64-bit.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Requires:	libvorbis-devel
Requires:	flac-devel
Requires:	libmikmod-devel
Requires:	smpeg-devel
Requires:	pkg-config

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q
%patch0


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

gmake %{?_smp_mflags}

cp build/.libs/lib%{name}-1.2.so.0 .
gmake distclean

# now build the 32-bit version
export CC="xlc -q32"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static

gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q build/.libs/lib%{name}-1.2.a ./lib%{name}-1.2.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install
gmake DESTDIR=${RPM_BUILD_ROOT} install-bin

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc README CHANGES COPYING
%{_bindir}/*
%{_libdir}/*.a
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/SDL/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
/usr/include/SDL/*
/usr/lib/*.la


%changelog
* Tue Nov 10 2009 Michael Perzl <michael@perzl.org> - 1.2.9-1
- first version for AIX V5.1 and higher
